Bug 1264043 - [RFE] Unable to edit Mail configuration in API and WebUI
Summary: [RFE] Unable to edit Mail configuration in API and WebUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Email
Version: 6.1.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Unspecified
Assignee: Ohad Levy
QA Contact:
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1261270 (view as bug list)
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2015-09-17 11:37 UTC by Peter Vreman
Modified: 2020-02-14 17:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:30:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
Email in Settings (73.03 KB, image/png)
2017-08-02 10:37 UTC, Daniel Lobato Garcia
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 12156 0 None None None 2016-04-26 17:08:38 UTC
Red Hat Bugzilla 1264038 0 unspecified CLOSED Mail delivery / server configuration not documented 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Internal Links: 1264038

Description Peter Vreman 2015-09-17 11:37:48 UTC
Description of problem:
Almost all settings can be set through the API and the Web UI. The email delivery method and server (email.yaml) cannot be set. This is inconsistent and not inituitive for the user to suddenly have to edit a different configuration file on disk instead of using the API/UI.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Configure the mail delivery method and server through API
2. Configure the mail delivery method and server through UI
3.

Actual results:
Not possible through API
Not possible through UI


Expected results:
Configuration of mail delivery and server can be set through API
Configuration of mail delivery and server can be set through UI

Additional info:

Comment 1 Bryan Kearney 2015-10-13 17:55:03 UTC
Created redmine issue http://projects.theforeman.org/issues/12156 from this bug

Comment 3 Bryan Kearney 2016-12-05 09:18:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/12156 has been resolved.

Comment 5 Stephen Benjamin 2016-12-19 18:41:45 UTC
*** Bug 1261270 has been marked as a duplicate of this bug. ***

Comment 6 Daniel Lobato Garcia 2017-08-02 10:37:33 UTC
Created attachment 1308075 [details]
Email in Settings

Comment 7 Daniel Lobato Garcia 2017-08-02 10:40:22 UTC
Verified.

Version Tested:

foreman-1.15.2-1.el7sat.noarch
satellite-6.3.0-16.0.beta.el7sat.noarch

Check screenshots, settings can be set through the UI now and testing these is as simple as clicking the "Test email" button.

Comment 10 errata-xmlrpc 2018-02-21 12:30:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.